Package org.linphone.core

# Enum Class MagicSearch.Aggregation

java.lang.Object
java.lang.Enum<MagicSearch.Aggregation>
org.linphone.core.MagicSearch.Aggregation

All Implemented Interfaces:
  `Serializable`, `Comparable<MagicSearch.Aggregation>`, `Constable`

Enclosing interface:
  MagicSearch

public static enum MagicSearch.Aggregation extends Enum<MagicSearch.Aggregation>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Friend`
Aggregation is done by friend, you will have at most a SearchResult per Friend.
`None`
No aggregation is done, you can have multiple SearchResult with the same
Friend.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static MagicSearch.Aggregation`
`fromInt(int value)`
`int`
`toInt()`
`static MagicSearch.Aggregation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MagicSearch.Aggregation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### None

public static final MagicSearch.Aggregation None
No aggregation is done, you can have multiple SearchResult with the same
Friend.

### Friend

public static final MagicSearch.Aggregation Friend
Aggregation is done by friend, you will have at most a SearchResult per Friend.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static MagicSearch.Aggregation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MagicSearch.Aggregation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static MagicSearch.Aggregation fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()